G2B(1)

NAME
g2b.pl - Simplified to Traditional Chinese converter

SYNOPSIS
g2b.pl [ -p ] [ -u ] [ inputfile ...] > outputfile

USAGE
    % g2b.pl -p < gbk.txt > big5.txt
    % g2b.pl -pu < simp.txt > trad.txt

DESCRIPTION
The g2b.pl utility reads files sequentially, converts them from Simplified to Traditional Chinese, then writes them to the standard output. The inputfile arguments are processed in command-line order. If inputfile is a single dash ("-") or absent, this program reads from the standard input.

The "-p" switch enables rudimentary phrase-oriented substition via a small built-in lexicon.

The "-u" switch specifies that both the input and output streams should be UTF-8 encoded. If not specified, the input stream is assumed to be in GBK, and the output will be encoded in Big5.

CAVEATS
In pure-perl implementations (pre-5.8 perl or without a C compiler), "-p" and "-u" cannot be used together.

SEE ALSO
b2g.pl, Encode::HanConvert

AUTHORS
Currently maintained by Kuang-che Wu <kcwu@csie.org>. Orignal author: Audrey Tang <cpan@audreyt.org>

COPYRIGHT
Copyright 2002-2009 by Audrey Tang <cpan@audreyt.org>. Copyright 2006 by Kuang-che Wu <kcwu@csie.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See <http://www.perl.com/perl/misc/Artistic.html>